#!/usr/bin/env node
"use strict";var e=require("commander"),t=require("inquirer"),o=require("child_process"),s=require("path"),n=require("fs"),r=require("webpack"),l=require("webpack-virtual-modules"),i=require("mini-css-extract-plugin"),a=require("html-webpack-plugin"),p=require("terser-webpack-plugin"),c=require("svelte-preprocess"),d=require("webpack-dev-server");function u(e){return e&&"object"==typeof e&&"default"in e?e:{default:e}}var m=u(s),f=u(n),v=u(r),y=u(l),h=u(i),g=u(a),w=u(p),j=u(c),b=u(d),O=function(){return(O=Object.assign||function(e){for(var t,o=1,s=arguments.length;o<s;o++)for(var n in t=arguments[o])Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n]);return e}).apply(this,arguments)};function S(e,t,o){if(o||2===arguments.length)for(var s,n=0,r=t.length;n<r;n++)!s&&n in t||(s||(s=Array.prototype.slice.call(t,0,n)),s[n]=t[n]);return e.concat(s||t)}var E=process.env.NODE_ENV||"development",_=function(e,t){t.title;var o=t.entry;t.customElement;var s=function(e,t){var o={};for(var s in e)Object.prototype.hasOwnProperty.call(e,s)&&t.indexOf(s)<0&&(o[s]=e[s]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols){var n=0;for(s=Object.getOwnPropertySymbols(e);n<s.length;n++)t.indexOf(s[n])<0&&Object.prototype.propertyIsEnumerable.call(e,s[n])&&(o[s[n]]=e[s[n]])}return o}(t,["title","entry","customElement"]);s.mode&&(E=s.mode);var n="production"===E;return e({mode:E,entry:[],optimization:n?{minimize:!0,minimizer:[new w.default]}:{},resolveLoader:{modules:[m.default.resolve(__dirname,"../node_modules"),m.default.resolve(process.cwd(),"./node_modules"),m.default.resolve(process.cwd()),m.default.dirname(o)]},resolve:{extensions:[".mjs",".js",".svelte"],modules:[m.default.resolve(__dirname,"../node_modules"),m.default.resolve(process.cwd(),"./node_modules"),m.default.resolve(process.cwd()),m.default.dirname(o)],mainFields:["svelte","browser","module","main"]},output:{path:m.default.resolve(process.cwd(),"dist"),filename:"[name].js",chunkFilename:"[name].[id].js"},module:{rules:[{test:/\.(html|svelte)$/,exclude:/(node_modules|public)/,use:{loader:"svelte-loader",options:{compilerOptions:{dev:!n,customElement:t.customElement},dev:!n,customElement:t.customElement,preprocess:j.default({}),emitCss:n,hotReload:!n}}},{test:/\.css$/,use:[n?h.default.loader:"style-loader","css-loader"]},{test:/node_modules\/svelte\/.*\.mjs$/,resolve:{fullySpecified:!1}}]},plugins:[new h.default({filename:"[name].css"}),new g.default({minify:!0,templateContent:'<!DOCTYPE html>\n<html>\n  <head>\n    <meta name="viewport" content="width=device-width">\n    <meta charset="utf-8" />\n    <title>'+t.title+"</title>\n  </head>\n\n  <body></body>\n  "+(t.customElement?"<script>\n    if (typeof customElements === 'undefined') {\n      document.body.innerHTML = '<p>This browser does not support custom elements. See <a href=\"https://caniuse.com/#feat=custom-elementsv1\">caniuse.com</a> for the gory details.</p>';\n    }\n  <\/script>":"")+"\n</html>\n        "})],devtool:!n&&"source-map"})},x=function(e,t,o){void 0===t&&(t={});var s=e&&e.indexOf(".svelte")>=0,n=[],r=e,l=m.default.resolve(__dirname,"../node_modules/svelte/");return console.log("Entry:",e),s&&(e="./entry.js",n.push(new y.default({"./entry.js":'import App from "'+m.default.resolve(process.cwd(),r)+'";\n        '+("production"===t.mode&&t.customElement?"":"const app = new App({\n  target: document.body,\n  props: "+JSON.stringify(o)+"\n});\n\nexport default app;")}))),f.default.existsSync(l)||(l=m.default.resolve(__dirname,"../../node_modules/svelte/")),f.default.existsSync(l)||(l=m.default.resolve(__dirname,"../../../node_modules/svelte/")),_((function(t){return O(O({},t),{entry:{bundle:e},plugins:S(S([],t.plugins),n),resolve:O(O({},t.resolve),{alias:{svelte:l}})})}),O(O({},t),{entry:r}))},q=new e.Command;q.version("1.3.0").description("a simple CLI to manage and develop svelte apps"),q.command("serve [path]").description("Serve a project or a single .svelte file (default entrypoint is ./src/main.js)").option("-m, --mode <type>","Set mode (development|production)","development").option("--props <string>","Set props JSON, if you serve a .svelte file","{}").option("-ce, --custom-element","Serve as custom element",!1).option("-t, --title <string>","HTML-Page Title","Svelte-App").option("-p, --port <number>","Application port","3000").action((function(e,t){!function(e,t){void 0===e&&(e="./src/main.js");var o=t.mode,s=t.props,n=t.port,r=t.title,l=t.customElement;if(e=m.default.resolve(process.cwd(),e),!f.default.existsSync(e)||-1===e.indexOf(".svelte")&&-1===e.indexOf(".js"))console.error("Please make sure your entry exists (.js or .svelte)!");else{var i;if(s&&"string"==typeof s)try{i=JSON.parse(s)}catch(e){console.log("Could not parse props json string")}var a=x(e,{mode:o,title:r,customElement:l},i),p={port:n,host:"localhost",noInfo:!0,watchContentBase:!0,compress:!0,contentBase:m.default.resolve(process.cwd(),"./dist"),stats:{all:!1}};b.default.addDevServerEntrypoints(a,p);var c=v.default(a);new b.default(c,p).listen(p.port),console.log("\nSvelte app runs on port http://localhost:"+p.port+" !\n")}}(e,t)})),q.command("create [path]").description("Create project").option("-f, --force","Overwrite existing project",!1).option("-tpl, --template [name]","Set a template","").action((function(e,s){var n,r,l,i;n=e,l=(r=s).force,i=r.template,n||(n="my-svelte-project"),console.log(i),t.prompt(""===i?[{type:"list",name:"template",message:"Choose a template",choices:["sveltejs/template","sveltejs/template-webpack","sveltejs/component-template","sveltejs/template-custom-element"],filter:function(e){return e.toLowerCase()}}]:[]).then((function(e){e.template&&(i=e.template),o.exec("npx degit "+i+" "+n+" "+(l&&"--force"),(function(e,t,o){e?console.error(o):console.log(t||o)}))}))})),q.command("build [path]").description("Build project (default entrypoint is ./src/main.js)").option("-m, --mode <type>","Set mode (development|production)","production").option("--props <string>","Set props JSON, if you serve a .svelte file","{}").option("-ce, --custom-element","Build as custom element",!1).option("-t, --title <string>","HTML-Page Title","Svelte-App").action((function(e,t){!function(e,t){void 0===e&&(e="./src/main.js");var o=t.mode,s=t.props,n=t.title,r=t.customElement;if(!(e=m.default.resolve(process.cwd(),e))||f.default.existsSync(e)||-1!==e.indexOf(".svelte")){var l;if(s&&"string"==typeof s)try{l=JSON.parse(s)}catch(e){console.log("Could not parse props json string")}var i=x(e,{mode:o,title:n,customElement:r},l);v.default(i,(function(e,t){(e||t&&t.hasErrors())&&console.log("Error"),t&&console.log(t.toString({chunks:!1,colors:!0,entrypoints:!1,children:!1,modules:!1}))}))}else console.error("Please make sure your entry exists (.js or .svelte)!")}(e,t)})),["create","build","serve","help","--help"].includes(process.argv[2])||process.argv.splice(2,0,"serve"),q.parse(process.argv);
